<template>
  <div class="navbarItem">
    <router-link
      class="navbarItem__main"
      :to="{ name: item.page }"
      :class="$route.name?.toLowerCase().includes(item.page) ? 'current' : ''"
    >
      <img :src="require('@/assets/navBarIcons/' + item.icon)" />
      <p>{{ item.name }}</p>
    </router-link>
    <NavBarDropdown
      v-if="item.subItems"
      :class="
        $route.name?.toLowerCase().includes(item.page) ? 'active' : 'minimized'
      "
      class="navbarItem__dropdown"
      :items="item.subItems"
    />
  </div>
</template>

<script>
import NavBarDropdown from "./NavBarDropdown.vue";
export default {
  data() {
    return {
      active: false,
    };
  },
  props: {
    item: {
      Type: Object,
    },
    activeName: {
      Type: Number,
    },
    id: {
      Type: Number,
    },
  },
  components: { NavBarDropdown },
  methods: {},
};
</script>

<style lang="scss" scoped>
.navbarItem {
  margin: auto;
  width: 80%;
  a {
    text-decoration: none;
  }
  img {
    width: 2rem;
    margin: 0.5rem;
  }
  p {
    color: #fff;
    font-size: 1.125rem;
  }
  &__main {
    background-color: #2d2d2d;
    width: 80%;
    height: 3rem;
    margin: 5% 0;
    border-radius: 0.2rem;
    display: flex;
    align-items: center;

    &:hover {
      background-color: var(--grey);
    }
    &.current {
      img {
        filter: var(--image-filter-yellow);
      }

      p {
        color: var(--yellow);
      }
    }
  }

  &__dropdown {
    width: 80%;
    margin: auto;

    &.active {
      display: block;
    }

    &.minimized {
      display: none;
    }
  }
}
</style>
